-- Purely for list returning functions.

local function ReturnList(inval,...)
	if NotNilToBool(inval) then
		return inval,ReturnList(...)
	end
end

local function ListPack(...)
        return {...}
end

local function ValueToList(inval)
	if IsTableToBool(inval) then
		return TableUnpack(inval)
	end
	return inval
end
